javax.faces.validator

## Class LongRangeValidator

- java.lang.Object
- - javax.faces.validator.LongRangeValidator

- All Implemented Interfaces:
    EventListener, PartialStateHolder, StateHolder, Validator

      public class LongRangeValidator
      extends Object
      implements Validator, PartialStateHolder

  LongRangeValidator is a `Validator` that checks the value of the corresponding component against specified minimum and maximum values. The following algorithm is implemented:

  - If the passed value is `null`, exit immediately.
  - If the current component value is not a floating point type, or a String that is convertible to long, throw a `ValidatorException` containing a TYPE_MESSAGE_ID message.
  - If both a `maximum` and `minimum` property has been configured on this `Validator`, check the component value against both limits. If the component value is not within this specified range, throw a `ValidatorException` containing a `NOT_IN_RANGE_MESSAGE_ID` message.
  - If a `maximum` property has been configured on this `Validator`, check the component value against this limit. If the component value is greater than the specified maximum, throw a `ValidatorException` containing a MAXIMUM_MESSAGE_ID message.
  - If a `minimum` property has been configured on this `Validator`, check the component value against this limit. If the component value is less than the specified minimum, throw a `ValidatorException` containing a MINIMUM_MESSAGE_ID message.

  For all of the above cases that cause a `ValidatorException` to be thrown, if there are parameters to the message that match up with validator parameters, the values of these parameters must be converted using the `Converter` registered in the application under the converter id `javax.faces.Number`. This allows the values to be localized according to the current `Locale`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MAXIMUM_MESSAGE_ID` The message identifier of the `FacesMessage` to be created if the maximum value check fails.
    `static String` | `MINIMUM_MESSAGE_ID` The message identifier of the `FacesMessage` to be created if the minimum value check fails.
    `static String` | `NOT_IN_RANGE_MESSAGE_ID` The message identifier of the `FacesMessage` to be created if the maximum or minimum value check fails, and both the maximum and minimum values for this validator have been set.
    `static String` | `TYPE_MESSAGE_ID` The message identifier of the `FacesMessage` to be created if the current value of this component is not of the correct type.
    `static String` | `VALIDATOR_ID` The standard converter id for this converter.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongRangeValidator()` Construct a `Validator` with no preconfigured limits.
    `LongRangeValidator(long maximum)` Construct a `Validator` with the specified preconfigured limit.
    `LongRangeValidator(long maximum, long minimum)` Construct a `Validator` with the specified preconfigured limits.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearInitialState()` Reset the PartialStateHolder to a non-delta tracking state.
    `boolean` | `equals(Object otherObj)`
    `long` | `getMaximum()` Return the maximum value to be enforced by this `Validator`.
    `long` | `getMinimum()` Return the minimum value to be enforced by this `Validator`.
    `int` | `hashCode()`
    `boolean` | `initialStateMarked()` Return `true` if delta state changes are being tracked, otherwise `false`
    `boolean` | `isTransient()` If true, the Object implementing this interface must not participate in state saving or restoring.
    `void` | `markInitialState()` The runtime must ensure that the `PartialStateHolder.markInitialState()` method is called on each instance of this interface in the view at the appropriate time to indicate the component is in its initial state.
    `void` | `restoreState(FacesContext context, Object state)` Perform any processing required to restore the state from the entries in the state Object.
    `Object` | `saveState(FacesContext context)` Gets the state of the instance as a `Serializable` Object.
    `void` | `setMaximum(long maximum)` Set the maximum value to be enforced by this `Validator`.
    `void` | `setMinimum(long minimum)` Set the minimum value to be enforced by this `Validator`.
    `void` | `setTransient(boolean transientValue)` Denotes whether or not the Object implementing this interface must or must not participate in state saving or restoring.
    `void` | `validate(FacesContext context, UIComponent component, Object value)` Perform the correctness checks implemented by this `Validator` against the specified `UIComponent`.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VALIDATOR_ID

          public static final String VALIDATOR_ID

      The standard converter id for this converter.

      See Also:
        Constant Field Values

    - #### MAXIMUM_MESSAGE_ID

          public static final String MAXIMUM_MESSAGE_ID

      The message identifier of the `FacesMessage` to be created if the maximum value check fails. The message format string for this message may optionally include the following placeholders:

      - `{0}` replaced by the configured maximum value.
      - `{1}` replaced by a `String` whose value is the label of the input component that produced this message.
      See Also:
        Constant Field Values

    - #### MINIMUM_MESSAGE_ID

          public static final String MINIMUM_MESSAGE_ID

      The message identifier of the `FacesMessage` to be created if the minimum value check fails. The message format string for this message may optionally include the following placeholders:

      - `{0}` replaced by the configured minimum value.
      - `{1}` replaced by a `String` whose value is the label of the input component that produced this message.
      See Also:
        Constant Field Values

    - #### NOT_IN_RANGE_MESSAGE_ID

          public static final String NOT_IN_RANGE_MESSAGE_ID

      The message identifier of the `FacesMessage` to be created if the maximum or minimum value check fails, and both the maximum and minimum values for this validator have been set. The message format string for this message may optionally include the following placeholders:

      - `{0}` replaced by the configured minimum value.
      - `{1}` replaced by the configured maximum value.
      - `{2}` replaced by a `String` whose value is the label of the input component that produced this message.
      See Also:
        Constant Field Values

    - #### TYPE_MESSAGE_ID

          public static final String TYPE_MESSAGE_ID

      The message identifier of the `FacesMessage` to be created if the current value of this component is not of the correct type. The message format string for this message may optionally include a `{0}` placeholder that will be replaced by a `String` whose value is the label of the input component that produced this message.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LongRangeValidator

          public LongRangeValidator()

      Construct a `Validator` with no preconfigured limits.

    - #### LongRangeValidator

          public LongRangeValidator(long maximum)

      Construct a `Validator` with the specified preconfigured limit.

      Parameters:
        `maximum` - Maximum value to allow

    - #### LongRangeValidator

          public LongRangeValidator(long maximum,
                            long minimum)

      Construct a `Validator` with the specified preconfigured limits.

      Parameters:
        `maximum` - Maximum value to allow
        `minimum` - Minimum value to allow

  - ### Method Detail

    - #### getMaximum

          public long getMaximum()

      Return the maximum value to be enforced by this `Validator`.

    - #### setMaximum

          public void setMaximum(long maximum)

      Set the maximum value to be enforced by this `Validator`.

      Parameters:
        `maximum` - The new maximum value

    - #### getMinimum

          public long getMinimum()

      Return the minimum value to be enforced by this `Validator`.

    - #### setMinimum

          public void setMinimum(long minimum)

      Set the minimum value to be enforced by this `Validator`.

      Parameters:
        `minimum` - The new minimum value

    - #### validate

          public void validate(FacesContext context,
                      UIComponent component,
                      Object value)
                        throws ValidatorException

      Description copied from interface: `Validator`

      Perform the correctness checks implemented by this `Validator` against the specified `UIComponent`. If any violations are found, a `ValidatorException` will be thrown containing the `FacesMessage` describing the failure.

      For a validator to be fully compliant with Version 2 and later of the specification, it must not fail validation on `null` or empty values unless it is specifically intended to address `null` or empty values. An application-wide `<context-param>` is provided to allow validators designed for JSF 1.2 to work with JSF 2 and later. The `javax.faces.VALIDATE_EMPTY_FIELDS` `<context-param>` must be set to `false` to enable this backwards compatibility behavior.

      Specified by:
        `validate` in interface `Validator`
      Parameters:
        `context` - FacesContext for the request we are processing
        `component` - UIComponent we are checking for correctness
        `value` - the value to validate
      Throws:
        `NullPointerException` - if `context` or `component` is `null`
        `ValidatorException` - if validation fails

    - #### equals

          public boolean equals(Object otherObj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### saveState

          public Object saveState(FacesContext context)

      Description copied from interface: `StateHolder`

      Gets the state of the instance as a `Serializable` Object.

      If the class that implements this interface has references to instances that implement StateHolder (such as a `UIComponent` with event handlers, validators, etc.) this method must call the `StateHolder.saveState(javax.faces.context.FacesContext)` method on all those instances as well. This method must not save the state of children and facets. That is done via the `StateManager`

      This method must not alter the state of the implementing object. In other words, after executing this code:

      `

           Object state = component.saveState(facesContext);

      `

      `component` should be the same as before executing it.

      The return from this method must be `Serializable`

      Specified by:
        `saveState` in interface `StateHolder`

    - #### restoreState

          public void restoreState(FacesContext context,
                          Object state)

      Description copied from interface: `StateHolder`

      Perform any processing required to restore the state from the entries in the state Object.

      If the class that implements this interface has references to instances that also implement StateHolder (such as a `UIComponent` with event handlers, validators, etc.) this method must call the `StateHolder.restoreState(javax.faces.context.FacesContext, java.lang.Object)` method on all those instances as well.

      If the `state` argument is `null`, take no action and return.

      Specified by:
        `restoreState` in interface `StateHolder`

    - #### isTransient

          public boolean isTransient()

      Description copied from interface: `StateHolder`

      If true, the Object implementing this interface must not participate in state saving or restoring.

      Specified by:
        `isTransient` in interface `StateHolder`

    - #### setTransient

          public void setTransient(boolean transientValue)

      Description copied from interface: `StateHolder`

      Denotes whether or not the Object implementing this interface must or must not participate in state saving or restoring.

      Specified by:
        `setTransient` in interface `StateHolder`
      Parameters:
        `transientValue` - boolean pass `true` if this Object will not participate in state saving or restoring, otherwise pass `false`.

    - #### markInitialState

          public void markInitialState()

      Description copied from interface: `PartialStateHolder`

      The runtime must ensure that the `PartialStateHolder.markInitialState()` method is called on each instance of this interface in the view at the appropriate time to indicate the component is in its initial state. The implementor of the interface must ensure that `PartialStateHolder.initialStateMarked()` returns `true` from the time `markInitialState()` is called until `PartialStateHolder.clearInitialState()` is called, after which time `initialStateMarked()` must return `false`. Also, during the time that the instance returns `true` from `initialStateMarked()`, the implementation must return only the state that has changed in its implementation of `StateHolder.saveState(javax.faces.context.FacesContext)`.

      Specified by:
        `markInitialState` in interface `PartialStateHolder`

    - #### initialStateMarked

          public boolean initialStateMarked()

      Description copied from interface: `PartialStateHolder`

      Return `true` if delta state changes are being tracked, otherwise `false`

      Specified by:
        `initialStateMarked` in interface `PartialStateHolder`

    - #### clearInitialState

          public void clearInitialState()

      Description copied from interface: `PartialStateHolder`

      Reset the PartialStateHolder to a non-delta tracking state.

      Specified by:
        `clearInitialState` in interface `PartialStateHolder`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.